Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# GT2005BallSpecialist::BallPointList Class Reference

Collaboration diagram for GT2005BallSpecialist::BallPointList:

[legend]
List of all members.

## Public Types
enum | { maxNumberOfPoints = 400 }
## Public Member Functions
| BallPointList ()
void | add (const BallPoint &ballPoint)
BallPoint & | operator[] (int i)
const BallPoint & | operator[] (int i) const
## Public Attributes
BallPoint | ballPoints [maxNumberOfPoints]
| The ball points.
int | number
| The actual number of ball points.

## Member Enumeration Documentation

anonymous enum

  | Enumeration values:
  maxNumberOfPoints |
Definition at line 101 of file GT2005BallSpecialist.h.

## Constructor & Destructor Documentation

GT2005BallSpecialist::BallPointList::BallPointList | ( |  | ) | `[inline]`

| Definition at line 99 of file GT2005BallSpecialist.h. References number.

## Member Function Documentation

void GT2005BallSpecialist::BallPointList::add | ( | const BallPoint & | ballPoint | ) |

| Definition at line 152 of file GT2005BallSpecialist.cpp. References ASSERT, ballPoints, DOT, and number. Referenced by GT2005BallSpecialist::searchBall().

BallPoint& GT2005BallSpecialist::BallPointList::operator[] | ( | int | i | ) | `[inline]`

| Definition at line 107 of file GT2005BallSpecialist.h. References ballPoints.

const BallPoint& GT2005BallSpecialist::BallPointList::operator[] | ( | int | i | ) | const`[inline]`

| Definition at line 108 of file GT2005BallSpecialist.h. References ballPoints.

## Member Data Documentation

BallPoint GT2005BallSpecialist::BallPointList::ballPoints[maxNumberOfPoints]

| The ball points. Definition at line 102 of file GT2005BallSpecialist.h. Referenced by add(), and operator[]().

int GT2005BallSpecialist::BallPointList::number

| The actual number of ball points. Definition at line 103 of file GT2005BallSpecialist.h. Referenced by add(), BallPointList(), GT2005BallSpecialist::calculateDeviationOfBallPoints(), GT2005BallSpecialist::checkIfPointsAreInsideBall(), GT2005BallSpecialist::considerBallPoints(), and GT2005BallSpecialist::searchBall().

The documentation for this class was generated from the following files:

- Modules/ImageProcessor/GT2005ImageProcessor/GT2005BallSpecialist.h
- Modules/ImageProcessor/GT2005ImageProcessor/GT2005BallSpecialist.cpp